Bug 523296 - When Qemu/SDL is fullscreen xrandr dual-monitor configuration breaks. [NEEDINFO]
When Qemu/SDL is fullscreen xrandr dual-monitor configuration breaks.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-09-14 15:43 EDT by Bryan Christ
Modified: 2010-06-28 10:39 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
twoerner: needinfo? (bryan.christ)


Attachments (Terms of Use)

  None (edit)
Description Bryan Christ 2009-09-14 15:43:43 EDT
Description of problem:

When Qemu is toggled fullscreen xrandr configurations with two or more independent displays are reset to mirrored mode.

Version-Release number of selected component (if applicable):

qemu-0.10.6-4.fc11.x86_64

How reproducible:

100%

Steps to Reproduce:
1.  Setup a dual-monitor configuration for independent displays using the Display Settings applet.
2.  Launch some guest OS with qemu.
3.  Press CTRL+ALT+F to initiate fullscreen.
  
Actual results:

Qemu goes full screen but independent monitor configuration is lost.

Expected results:


Additional info:
Comment 1 Mark McLoughlin 2009-09-21 08:48:34 EDT
So, the host multi-screen configuration is changed by launching qemu and making it fullscreen?

How exactly was qemu launched? Using the command line or libvirt? What is the exact qemu command line?

(Note, we don't really recommend people use qemu directly nor use the SDL display backend ... libvirt and the qemu VNC backend is what we put most effort into getting working properly.)

My guess this is an SDL or xrandr bug
Comment 2 Bryan Christ 2009-09-21 10:49:10 EDT
"So, the host multi-screen configuration is changed by launching qemu and making
it fullscreen?"

Yes.

"How exactly was qemu launched?"

qemu-launcher

"What is the exact qemu command line?

/usr/bin/qemu-kvm -monitor stdio -boot c -m 384 -hda /home/bchrist/work/virt/winxp.img -net nic,vlan=0 -net user,vlan=0 -smb /home/bchrist -localtime -soundhw es1370 -sdl

"(Note, we don't really recommend people use qemu directly nor use the SDL
display backend ... libvirt and the qemu VNC backend is what we put most effort
into getting working properly.)"

Understood.  There are several reasons why I do this:

1.  I've been using qemu since kqemu was border-line closed-source and I'm familiar with it.
2.  Frankly, VNC is slow.  I can see the advantages on a server, but for a desktop you really need something much faster and SDL is the only option.
3.  The problem with libvirt as that copying the OS from one computer to another is not a single-step process.  Using qemu directly I can just copy the qcow2 file from my laptop, desktop, or any other computer I want.  Last time I used VirtualMachine this was not true.
Comment 3 Mark McLoughlin 2009-09-21 11:10:56 EDT
Okay, I'm going to move this to SDL

Summary is basically that SDL_SetVideoMode(SDL_FULLSCREEN) appears to screw up xrandr configuration; could just as easily be an X bug, so cc-ing ajax
Comment 4 Thomas Woerner 2010-02-12 09:29:05 EST
I tested this and it seems that the results are also graphics driver dependant. Can you please test SDL-1.2.14 from rawhide/F-13.
Comment 5 Bug Zapper 2010-04-28 06:22:11 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 10:39:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.